> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出智能体 - GET /v1/agents

> 检索全部智能体的列表。返回 OpenAI 兼容的列表对象，包含智能体数据，并支持标准分页字段。

检索你创建的全部智能体。响应遵循 OpenAI 列表对象模式，带有 `object` 字段为 `list`，以及包含完整智能体对象的 `data` 数组。

## 接口

```http theme={null}
GET /v1/agents
```

## 认证

`Authorization: Bearer <api_key>` 或 `Authorization: ApiKey <key>`。若 `AGENT_CLOUD_API_KEY` 在服务端启动时未设置，则可选。

## 响应

<ResponseField name="object" type="string">
  恒为 `list`。
</ResponseField>

<ResponseField name="data" type="array">
  智能体对象数组。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://agent.example.com/v1/agents \
    -H "Authorization: Bearer <api_key>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "ag_01J1234567890ABCDEF",
        "object": "agent",
        "name": "SupportBot",
        "model": "gpt-4o",
        "instructions": "You are a helpful support assistant.",
        "tools": [],
        "metadata": { "team": "support" }
      }
    ]
  }
  ```
</ResponseExample>
